Bug 499679 - Wireless Not Working in F11/F12 Acer laptop - Atheros Communications Inc. AR2413 802.11bg
Wireless Not Working in F11/F12 Acer laptop - Atheros Communications Inc. AR2...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 12:19 EDT by Martin Thain
Modified: 2010-05-05 02:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 02:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Smolt Profile (6.16 KB, text/plain)
2009-05-07 12:19 EDT, Martin Thain
no flags Details
output from dmesg (37.55 KB, text/plain)
2009-05-07 12:20 EDT, Martin Thain
no flags Details
output from lspci (2.01 KB, text/plain)
2009-05-07 12:20 EDT, Martin Thain
no flags Details
output from ifconfig (1.42 KB, text/plain)
2009-05-07 18:56 EDT, Martin Thain
no flags Details
output from iwconfig (605 bytes, text/plain)
2009-05-07 18:57 EDT, Martin Thain
no flags Details
output from iwlist (69 bytes, text/plain)
2009-05-07 18:58 EDT, Martin Thain
no flags Details
dsdt file as requested (24.58 KB, text/plain)
2009-08-19 08:30 EDT, Martin Thain
no flags Details

  None (edit)
Description Martin Thain 2009-05-07 12:19:26 EDT
Created attachment 342869 [details]
Smolt Profile

Description of problem:

I booted the Laptop using the Fedora 11 SNAP1 Live-CD
Wireless did not work. It works out of the box in Fedora 10
Version-Release number of selected component (if applicable):
Fedora 11 SNAP1 

How reproducible:
every time

Steps to Reproduce:
1.Boot Laptop from Fedora 11 SNAP1 Live-CD
2.Login as default live CD user
3.
  
Actual results:
No Wireless connection enabled

Expected results:
Wireless Connections offered
Additional info:
Comment 1 Martin Thain 2009-05-07 12:20:19 EDT
Created attachment 342871 [details]
output from dmesg
Comment 2 Martin Thain 2009-05-07 12:20:49 EDT
Created attachment 342872 [details]
output from lspci
Comment 3 Martin Thain 2009-05-07 12:22:23 EDT
 kernel version is 2.6.29.1-54.fc11.i586
Comment 4 John W. Linville 2009-05-07 13:44:33 EDT
Please attach the output of 'ifconfig' and 'iwconfig' as well as 'iwlist wlan0 scan'...thanks!
Comment 5 Martin Thain 2009-05-07 18:56:54 EDT
Created attachment 342949 [details]
output from ifconfig
Comment 6 Martin Thain 2009-05-07 18:57:34 EDT
Created attachment 342950 [details]
output from iwconfig
Comment 7 Martin Thain 2009-05-07 18:58:19 EDT
Created attachment 342951 [details]
output from iwlist
Comment 8 John W. Linville 2009-05-08 10:43:07 EDT
Hmmm...ok so the netdev is registered, the device is up, but no scan results.

Luis, the F11 kernel should be darn close to 2.6.29.1 -- any idea what might be causing this?
Comment 9 Martin Thain 2009-05-29 20:35:01 EDT
Note this problem exits on Fedora 11 RC2 LiveCD of May 29th.
Comment 10 Bob Copeland 2009-05-31 07:15:05 EDT
What driver was F10 using - still ath5k or madwifi?

What channel is your AP on?  Are there any other networks around?

I can't think of any bugs in the 2.6.29 timeframe (there were some in 2.6.30, now fixed) that would be regressions.  I can take a look at the f11 kernel source though and diff it with mainline to see.
Comment 11 Martin Thain 2009-06-01 12:06:37 EDT
(In reply to comment #10)
> What driver was F10 using - still ath5k or madwifi?
> 
> What channel is your AP on?  Are there any other networks around?
> 
> I can't think of any bugs in the 2.6.29 timeframe (there were some in 2.6.30,
> now fixed) that would be regressions.  I can take a look at the f11 kernel
> source though and diff it with mainline to see.  

Looking at F10 we have:-

messages:Jun  1 16:41:35 localhost kernel: ath5k_pci 0000:02:00.0: enabling device (0000 -> 0002)
messages:Jun  1 16:41:35 localhost kernel: ath5k_pci 0000:02:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
messages:Jun  1 16:41:35 localhost kernel: ath5k_pci 0000:02:00.0: registered as 'phy0'
messages:Jun  1 16:41:35 localhost kernel: ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)
messages:Jun  1 16:41:44 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath5k_pci')
[root@c3p0 log]# uname -a
Linux c3p0 2.6.27.24-170.2.68.fc10.i686 #1 SMP Wed May 20 23:10:16 EDT 2009 i686 athlon i386 GNU/Linux

At the moment I am on channel 9 and I can see other networks with F10. With Fedora11 I saw nothing with this machine.
Comment 12 John W. Linville 2009-06-02 11:58:40 EDT
Bob, FWIW madwifi has never been part of Fedora.  Fedora has used ath5k ever since it was in the kernel.
Comment 13 Bob Copeland 2009-06-02 15:37:41 EDT
Excellent.  Channel 9 is still in 2 ghz band so it's not the recent 5 ghz regressions, and it's unlikely to be excluded due to any regulatory reason.

I snagged a copy of 2.6.29-1-102.fc11 src rpm and 2.6.27.24 to diff, hmm, only 15000 lines of diff to examine, not too bad :)  Mainline saw about 60 patches to ath5k between 2.6.27 and 2.6.29, nothing that stands out but a few are rather large, and of course some infrastructure changes in there like the RC rewrite.  I'll keep looking.
Comment 14 Bug Zapper 2009-06-09 11:22:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Martin Thain 2009-06-09 16:35:35 EDT
I just looked at this problem in Fedora 11 

Linux c3p0 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 athlon i386 GNU/Linux

and it still exists.

I then did a search of all the Fedora 11 Wireless, atheros and wpa bug reports and found 494953.

I tried the modprobe -r acer-wmi and wireless worked!

from the logfile
ADDRCONF(NETDEV_UP): wlan0: link is not ready
acer-wmi: Acer Laptop WMI Extras unloaded
ACPI: WMI: Mapper unloaded
wlan0: authenticate with AP 00:08:5c:ca:de:ff
wlan0: authenticated
wlan0: associate with AP 00:08:5c:ca:de:ff
wlan0: RX AssocResp from 00:08:5c:ca:de:ff (capab=0x411 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
Comment 16 John W. Linville 2009-08-18 11:37:44 EDT
Not really sure who should look at this -- above comment sounds like ath5k isn't really at fault...

You might want to attach your DSDT for future reference:

   cat /sys/firmware/acpi/tables/DSDT > dsdt
Comment 17 Martin Thain 2009-08-19 08:30:28 EDT
Created attachment 357928 [details]
dsdt file as requested
Comment 18 Martin Thain 2009-08-19 08:35:40 EDT
I can't help but think that acer--wmi (see comment #15 above) is making assumptions about the wireless hardware. The acer 132LC laptop in question had no wireless built in and uses a Linksys wireless Card add-on (hopefully the smolt profile shows this)
Comment 19 Martin Thain 2009-12-05 15:24:31 EST
Bug still present in Fedora 12 2.6.31.6-145.fc12.i686
The workaround still remains 
modprobe -r acer_wmi
Comment 20 Bug Zapper 2010-04-27 10:12:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Martin Thain 2010-04-29 13:20:20 EDT
Change version to 12
Comment 22 Martin Thain 2010-05-05 02:48:10 EDT
Finally retested on Fedora 12 2.6.32.11-99.fc12.i686

no longer any need to modprobe -r acer_wmi

relevant section from dmesg

fuse init (API version 7.13)
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
wlan0: deauthenticating from 00:08:5c:ca:de:ff by local choice (reason=3)
wlan0: direct probe to AP 00:08:5c:ca:de:ff (try 1)
wlan0: direct probe responded
wlan0: authenticate with AP 00:08:5c:ca:de:ff (try 1)
wlan0: authenticated
wlan0: associate with AP 00:08:5c:ca:de:ff (try 1)
wlan0: RX AssocResp from 00:08:5c:ca:de:ff (capab=0x411 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
padlock: VIA PadLock not detected.
wlan0: no IPv6 routers present

Closing this ticket as fixed somewhere in the system!

Note You need to log in before you can comment on or make changes to this bug.